var inspect = require('eyespect').inspector()
module.exports = function(data, cb) {
  var db = data.db
  var uploadID = data.uploadID
  db.get(uploadID, function (err, reply) {
    if (err || !reply) {
      return cb({
        message: 'failed to fetch upload',
        error: 'upload not found with given id',
        uploadID: uploadID,
        stack: new Error().stack
      })
    }
    var upload = reply.json
    cb(null, upload)
  })
};
