var rk = require('required-keys');
module.exports = function (data, cb) {
  var keys = ['userID', 'upload']
  var err = rk.truthySync(data, keys)
  if (err) {
    return cb({
      message: 'error fetching upload, missing key',
      error: err,
      stack: new Error().stack
    })
  }
  var userID = data.userID
  var upload = data.upload
  var index = upload.ownerIDs.indexOf(userID)
  var isOwner = true;
  if (index < 0) {
    isOwner = false
  }
  return cb(null, isOwner)
}
